Bug 1176306 (CVE-2020-6573)

Summary: VUL-0: CVE-2020-6573,CVE-2020-6574,CVE-2020-6575,CVE-2020-6576,CVE-2020-15959: chromium: Update to 85.0.4183.102
Product: [openSUSE] openSUSE Distribution Reporter: Alexandros Toptsoglou <atoptsoglou>
Component: SecurityAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Major    
Priority: P3 - Medium CC: Andreas.Stieger
Version: Leap 15.1   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexandros Toptsoglou 2020-09-09 05:51:07 UTC
CVE-2020-6573: Use after free in video.
CVE-2020-6574: Insufficient policy enforcement in installer. 
CVE-2020-6575: Race in Mojo.
CVE-2020-6576: Use after free in offscreen canvas. 
CVE-2020-15959: Insufficient policy enforcement in networking.

Reference

https://chromereleases.googleblog.com/2020/09/stable-channel-update-for-desktop.html
Comment 1 OBSbugzilla Bot 2020-09-09 13:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1176306) was mentioned in
https://build.opensuse.org/request/show/833236 15.1+15.2 / chromium
Comment 2 OBSbugzilla Bot 2020-09-12 17:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1176306) was mentioned in
https://build.opensuse.org/request/show/834011 Factory / chromium
Comment 3 Marcus Meissner 2020-09-14 13:01:31 UTC
The submission breaks in openqa, cannot open the search page.
Comment 4 OBSbugzilla Bot 2020-09-14 18:30:11 UTC
This is an autogenerated message for OBS integration:
This bug (1176306) was mentioned in
https://build.opensuse.org/request/show/834348 15.2 / chromium
https://build.opensuse.org/request/show/834349 15.1 / chromium
Comment 5 Andreas Stieger 2020-09-14 20:40:44 UTC
(In reply to Marcus Meissner from comment #3)
> The submission breaks in openqa, cannot open the search page.

That's interesting. Reproduced on Tumbleweed with network:chromium/chromium 85.0.4183.102-1473.1 (the submission from comment #4) as follows:

[delete] ~/.config/chromium
chromium
[search page returns "unresponsive page"]
Comment 6 Swamp Workflow Management 2020-09-22 13:16:02 UTC
openSUSE-SU-2020:1499-1: An update that fixes 19 vulnerabilities is now available.

Category: security (important)
Bug References: 1175757,1176306,1176450
CVE References: CVE-2020-15959,CVE-2020-6558,CVE-2020-6559,CVE-2020-6560,CVE-2020-6561,CVE-2020-6562,CVE-2020-6563,CVE-2020-6564,CVE-2020-6565,CVE-2020-6566,CVE-2020-6567,CVE-2020-6568,CVE-2020-6569,CVE-2020-6570,CVE-2020-6571,CVE-2020-6573,CVE-2020-6574,CVE-2020-6575,CVE-2020-6576
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    chromium-85.0.4183.102-lp152.2.30.1
openSUSE Leap 15.1 (src):    chromium-85.0.4183.102-lp151.2.133.1
Comment 7 Swamp Workflow Management 2020-09-23 16:13:44 UTC
openSUSE-SU-2020:1510-1: An update that fixes 19 vulnerabilities is now available.

Category: security (important)
Bug References: 1175757,1176306,1176450
CVE References: CVE-2020-15959,CVE-2020-6558,CVE-2020-6559,CVE-2020-6560,CVE-2020-6561,CVE-2020-6562,CVE-2020-6563,CVE-2020-6564,CVE-2020-6565,CVE-2020-6566,CVE-2020-6567,CVE-2020-6568,CVE-2020-6569,CVE-2020-6570,CVE-2020-6571,CVE-2020-6573,CVE-2020-6574,CVE-2020-6575,CVE-2020-6576
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    chromium-85.0.4183.102-bp152.2.20.1
Comment 8 Swamp Workflow Management 2020-09-24 13:17:42 UTC
openSUSE-SU-2020:1514-1: An update that fixes 19 vulnerabilities is now available.

Category: security (important)
Bug References: 1175757,1176306,1176450
CVE References: CVE-2020-15959,CVE-2020-6558,CVE-2020-6559,CVE-2020-6560,CVE-2020-6561,CVE-2020-6562,CVE-2020-6563,CVE-2020-6564,CVE-2020-6565,CVE-2020-6566,CVE-2020-6567,CVE-2020-6568,CVE-2020-6569,CVE-2020-6570,CVE-2020-6571,CVE-2020-6573,CVE-2020-6574,CVE-2020-6575,CVE-2020-6576
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP1 (src):    chromium-85.0.4183.102-bp151.3.107.1
Comment 9 Alexandros Toptsoglou 2020-11-05 14:20:35 UTC
Fixed
Comment 10 OBSbugzilla Bot 2021-12-15 09:40:47 UTC
This is an autogenerated message for OBS integration:
This bug (1176306) was mentioned in
https://build.opensuse.org/request/show/940663 Backports:SLE-12-SP3 / chromium